/*
Theme Name: child_themes
Theme URI: https://web-creative.studio/
Template: hello-elementor
Author: WebCreative
Author URI: https://web-creative.studio/
Version: 2.2.1.1572443540
Updated: 2023-01-30 13:52:20

*/

body:not([class*=elementor-page-]) .site-main {
    max-width: 1300px !important;
	padding: 50px 10px 50px 10px;
	}

ol, ul {
	margin-bottom: 10px;
	margin-top: 10px;
}

li:not(:last-child) {
	margin-bottom: 10px;
}

html {
    scroll-behavior: smooth;
  }


  .elementor-button {
    cursor: pointer;
}
  

:focus {
    outline-style: none;
    outline-width: 0px !important;
    outline-color: none !important;
}


.elementor-nav-menu--dropdown .elementor-item.elementor-item-active, 
.elementor-nav-menu--dropdown .elementor-item.highlighted {
    background-color: transparent;
    }


.elementor-widget-text-editor ul,
.elementor-widget-text-editor ol,
.elementor-widget-theme-post-content ul,
.elementor-widget-theme-post-content ol,
.elementor-widget-woocommerce-archive-description ul,
.elementor-widget-woocommerce-archive-description ol,
.elementor-tab-content ul,
.elementor-tab-content ol {
    margin-bottom: 15px;
}

.ms {
    margin-top: 60px !important;
}

.elementor-button span {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    justify-content: center;
    flex-grow: 0;
}

.accent {
    color: var(--e-global-color-accent);
}

/*Градиент Instagram*/
.elementor-social-icon-instagram {
    background: #f09433;
    background: -moz-linear-gradient(45deg,#f09433 0%,#e6683c 25%,#dc2743 50%,#cc2366 75%,#bc1888 100%);
    background: -webkit-linear-gradient(45deg,#f09433 0%,#e6683c 25%,#dc2743 50%,#cc2366 75%,#bc1888 100%);
    background: linear-gradient(45deg,#f09433 0%,#e6683c 25%,#dc2743 50%,#cc2366 75%,#bc1888 100%);
    }

span {
    line-height: 1;
}

p:last-child {
	margin: 0;
}

.breadcrumb {
	padding: 0;
}

.breadcrumb li::after {
	margin-left: 3px !important;
    margin-right: 6px !important;
}

/* ===== Scrollbar CSS ===== */
  /* Firefox */
  * {
    scrollbar-width: auto;
    scrollbar-color: var(--e-global-color-accent);
  }

  /* Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 15px;
  }

  *::-webkit-scrollbar-track {
    background:var(--e-global-color-secondary);
  }

  *::-webkit-scrollbar-thumb {
    background-color: var(--e-global-color-accent);
    border-radius: 15px;
    border: 0px none #ffffff;
  }
/* ===== Scrollbar CSS ===== */


input.flatpickr-input {
    background-image: url('/wp-content/uploads/2023/07/noun-calendar-4803106-1.svg');
	background-repeat: no-repeat;
    background-position: right 30px center;
	transition: unset !important;
}

/*route listing*/
.reis-listing-card:hover {
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.08) -30.56%, rgba(255, 255, 255, 0) 48.49%, rgba(255, 255, 255, 0.08) 124.31%);
	transition: all .3s;
}

.route-link a, .route-link, .route-link .jet-listing-dynamic-link {
    width: 100%;
    height: 100%;
	opacity: 0 !important;
}

@media screen and (max-width:767px){
.filt-horizontal fieldset {
    display: flex;
    flex-wrap: nowrap;
    padding-bottom:10px !important;
}
.filt-horizontal span.jet-radio-list__label{
    white-space: nowrap;
}
.filt-horizontal form.jet-radio-list-wrapper {
    overflow-x: auto;
}


.filt-horizontal form.jet-radio-list-wrapper::-webkit-scrollbar {
    width: 24px; /* ширина для вертикального скролла */
    height: 7px; /* высота для горизонтального скролла */
}
}
@media(max-width: 330px) {
    .reis-listing-card div {
        gap: 5px !important;
    }
}

.letter-code {
    height: 35px;
}

.letter-code div {
    display: flex;
    justify-content: center;
    align-items: center;
}

.booking-btn i {
    color: var(--e-global-color-accent);
    transition: all .3s;
}

.booking-btn:hover i {
    color: var(--e-global-color-text)
}

.article-card:hover {
	background: linear-gradient(180deg, rgba(255, 255, 255, 0.00) 0%, rgba(255, 255, 255, 0.00) 51.04%, rgba(255, 255, 255, 0.08) 100%);
}

.dialog-close-button svg {
    transition: all .3s;
}


.dialog-close-button:hover svg {
    fill: var(--e-global-color-text) !important;
}

input[type="number"]::-webkit-outer-spin-button, 
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    background: url('/wp-content/uploads/2023/08/number-arrows.svg') no-repeat center center;
    width: 1em;
    opacity: .5; /* shows Spin Buttons per default (Chrome >= 39) */
    position: absolute;
    top: 0;
    right: 15px;
    bottom: 0;
}

input[type="number"]::-webkit-inner-spin-button:hover,
input[type="number"]::-webkit-inner-spin-button:active{
    opacity: 1;
}

/*body bg*/
body {
	background-position: right top !important;
	background-repeat: repeat, no-repeat !important;
	background-size: 100px auto, clamp(300px, 50%, 1000px) auto !important;
}
body.page-id-123 {
	background-image: url(/wp-content/uploads/2023/08/bgnew2.png), url(/wp-content/uploads/2023/08/contacts-bg-min.png);
}

body.blog {
	background-image: url(/wp-content/uploads/2023/08/bgnew2.png), url(/wp-content/uploads/2023/08/news-all-bg-min.png);
} 

body.page-id-662 {
	background-image: url(/wp-content/uploads/2023/08/bgnew2.png), url(/wp-content/uploads/2023/08/auto-bg-min.png);
}

body.page-id-725 {
	background-image: url(/wp-content/uploads/2023/08/bgnew2.png), url(/wp-content/uploads/2023/08/about-bg-min.png);
}

body.page-id-620 {
	background-image: url(/wp-content/uploads/2023/08/bgnew2.png), url(/wp-content/uploads/2023/08/for-clients-bg-min.png);
}

body.single-reisi {
	background-image: url(/wp-content/uploads/2023/08/bgnew2.png), url(/wp-content/uploads/2023/08/route-bg.png);
}

.numInput.cur-year {
	padding: 0 !important;
	margin-left: 10px !important;
}


input:focus {
	border: 1px solid white !important;
	color: white !important;
}

::-webkit-calendar-picker-indicator {
    display: none !important;
}

.map-custom-link {
	margin-top: 10px;
	display: block;
	transition: all .3s;
	font-size: 15px;
	font-weight: 400;
	text-decoration-line: underline !important;
}

.page-id-5352, .page-id-5449 {
background-image: none!important;
}

.travel-time .jet-listing-dynamic-field__content {
	text-decoration: underline;
	text-underline-offset: 3px;
}